This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1255176 - CVE-2015-5215 CVE-2015-5217 CVE-2015-5216 ipsilon: various flaws [fedora-all]
CVE-2015-5215 CVE-2015-5217 CVE-2015-5216 ipsilon: various flaws [fedora-all]
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: ipsilon (Show other bugs)
22
All Linux
medium Severity medium
: ---
: ---
Assigned To: Patrick Uiterwijk
Fedora Extras Quality Assurance
: Security, SecurityTracking
Depends On:
Blocks: CVE-2015-5215 CVE-2015-5216 CVE-2015-5217
  Show dependency treegraph
 
Reported: 2015-08-19 16:35 EDT by Kurt Seifried
Modified: 2015-11-08 05:20 EST (History)
3 users (show)

See Also:
Fixed In Version: ipsilon-1.1.1-2.fc23 ipsilon-1.1.1-2.fc22 ipsilon-1.1.1-2.fc21
Doc Type: Release Note
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-08 01:53:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kurt Seifried 2015-08-19 16:35:50 EDT
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of Fedora.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.

[bug automatically created by: add-tracking-bugs]
Comment 1 Kurt Seifried 2015-08-19 16:35:54 EDT
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1255168,1255176

# Description of your update
notes=Security fix for CVE-2015-5215

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi update submission link instead:

https://admin.fedoraproject.org/updates/new/?type_=security&bugs=1255168,1255176
Comment 2 Kurt Seifried 2015-08-19 16:36:02 EDT
Adding parent bug 1255170 (for CVE-2015-5216).  Please use this new fedpkg update template when submitting the update:

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1255176,1255168,1255170

# Description of your update
notes=Security fix for CVE-2015-5215, CVE-2015-5216

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi update submission link instead:

https://admin.fedoraproject.org/updates/new/?type_=security&bugs=1255176,1255168,1255170
Comment 3 Kurt Seifried 2015-08-19 16:36:13 EDT
Adding parent bug 1255172 (for CVE-2015-5217).  Please use this new fedpkg update template when submitting the update:

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1255176,1255168,1255170,1255172

# Description of your update
notes=Security fix for CVE-2015-5215, CVE-2015-5216, CVE-2015-5217

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi update submission link instead:

https://admin.fedoraproject.org/updates/new/?type_=security&bugs=1255176,1255168,1255170,1255172
Comment 4 Fedora Update System 2015-08-21 10:47:21 EDT
ipsilon-1.0.0-5.fc22 has been submitted as an update to Fedora 22. https://bugzilla.redhat.com/show_bug.cgi?id=1255176
Comment 5 Fedora Update System 2015-08-21 22:51:14 EDT
ipsilon-1.0.0-5.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update ipsilon'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-13918
Comment 6 Fedora Update System 2015-09-07 21:36:56 EDT
ipsilon-1.1.0-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-15291
Comment 7 Fedora Update System 2015-09-07 21:36:59 EDT
ipsilon-1.1.0-1.fc21 has been submitted as an update to Fedora 21. https://bodhi.fedoraproject.org/updates/FEDORA-2015-15290
Comment 8 Fedora Update System 2015-09-07 21:37:08 EDT
ipsilon-1.1.0-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-15292
Comment 9 Fedora Update System 2015-09-08 13:51:34 EDT
ipsilon-1.1.0-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update ipsilon'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-15291
Comment 10 Fedora Update System 2015-09-08 17:22:00 EDT
ipsilon-1.1.0-1.fc21 has been pushed to the Fedora 21 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update ipsilon'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-15290
Comment 11 Fedora Update System 2015-09-08 17:25:55 EDT
ipsilon-1.1.0-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update ipsilon'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-15292
Comment 12 Fedora Update System 2015-10-14 12:10:06 EDT
ipsilon-1.1.1-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-15291
Comment 13 Fedora Update System 2015-10-14 12:11:33 EDT
ipsilon-1.1.1-2.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-15292
Comment 14 Fedora Update System 2015-10-14 12:12:15 EDT
ipsilon-1.1.1-2.fc21 has been submitted as an update to Fedora 21. https://bodhi.fedoraproject.org/updates/FEDORA-2015-15290
Comment 15 Fedora Update System 2015-10-14 18:53:32 EDT
ipsilon-1.1.1-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update ipsilon'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-15291
Comment 16 Fedora Update System 2015-10-15 01:21:19 EDT
ipsilon-1.1.1-2.fc21 has been pushed to the Fedora 21 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update ipsilon'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-15290
Comment 17 Fedora Update System 2015-10-15 01:52:26 EDT
ipsilon-1.1.1-2.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update ipsilon'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-15292
Comment 18 Fedora Update System 2015-11-08 01:52:44 EST
ipsilon-1.1.1-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 19 Fedora Update System 2015-11-08 04:50:00 EST
ipsilon-1.1.1-2.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 20 Fedora Update System 2015-11-08 05:19:48 EST
ipsilon-1.1.1-2.fc21 has been pushed to the Fedora 21 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.